﻿Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.txtEntry.DataSource = Me.GetData(10, 2)
    End Sub

    Private Sub UltraButtonSetSelectedRow_Click(sender As Object, e As EventArgs) Handles ultraButtonSetSelectedRow.Click
        Me.txtEntry.SelectedRow = Me.txtEntry.Rows(3)
    End Sub

    Private Function GetData(Optional rows As Integer = 20, Optional cols As Integer = 5) As DataTable
        Dim dt As New DataTable()

        For col As Integer = 0 To cols - 1
            dt.Columns.Add(String.Format("Column #{0}", col + 1))
        Next

        For row As Integer = 0 To rows - 1
            Dim addRow As DataRow = dt.NewRow()
            For Each column As DataColumn In dt.Columns
                addRow(column) = String.Format("{0}.{1}", row + 1, column.Ordinal + 1)
            Next

            dt.Rows.Add(addRow)
        Next

        Return dt
    End Function

    Private Sub txtEntry_RowSelected(sender As Object, e As Infragistics.Win.UltraWinGrid.RowSelectedEventArgs) Handles txtEntry.RowSelected
        If Me.txtEntry.SelectedRow IsNot Nothing Then
            Me.UltraLabel1.Text = "SelectedRow is Nothing = False"
        Else
            Me.UltraLabel1.Text = "SelectedRow is Nothing = True"
        End If
    End Sub
End Class
